Summary
Get all application configs in IAP.
Description
Get all application configs in IAP.
Route
GET /config/apps
Roles
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| This method has no parameters | |||
null
{ "type": "object", "properties": {}, "required": [], "additionalProperties": false }
Return
| Name | Type | Description |
|---|---|---|
| result | object | Contains the configuration of all applications. |
[ { "id": "commodo nostrud", "export": "reprehenderit velit ad occaecat", "title": "dolore ad", "type": "consectetur", "summary": "dolor labore Excepteur", "pdb": true, "roles": [ "irure sit in Excepteur", "est consequat" ], "methods": [ { "name": "consectetur sit", "description": "labore ex", "summary": "consectetur do sit dolore aliquip", "deprecated": true, "roles": [ "est dolor eu", "officia nostrud in", "ullamco consequat", "exercitation non" ], "route": { "path": "consequat officia proident in", "verb": "labore ut esse" }, "input": [] }, { "name": "dolor occaecat in eiusmod", "description": "nulla incididunt officia", "summary": "sint minim", "deprecated": true, "roles": [ "aliquip eu", "amet ea Lorem eiusmod" ], "route": { "path": "deserunt ut nostrud", "verb": "cillum laboris deserunt eu" }, "input": [] }, { "name": "est aliqua proident Duis fugiat", "description": "consectetur est ullamco pariatur adipisicing", "summary": "nisi non laboris sint", "deprecated": false, "roles": [ "veniam labore", "enim nisi cupidatat occaecat quis", "mollit exercitation eiusmod et", "Duis mollit adipisicing", "veniam" ], "route": { "path": "est minim Excepteur", "verb": "anim sint elit proident" }, "input": [] }, { "name": "esse ex non", "description": "ea cupidatat quis sed", "summary": "cupidatat voluptate amet laborum", "deprecated": false, "roles": [ "nostrud" ], "route": { "path": "laborum dolor adipisicing pariatur", "verb": "velit consequat nostrud voluptate adipisicing" }, "input": [] } ], "views": [], "src": "consectetur ex quis ipsum laboris", "encrypted": false, "version": "aliqua tempor amet ex aliquip" }, { "id": "dolore aliqua", "export": "laboris", "title": "ex officia fugiat", "type": "labore quis dolore Lorem mollit", "summary": "enim aliqua reprehenderit dolor", "pdb": false, "roles": [ "proident sint ullamco minim non", "reprehenderit culpa", "enim voluptate sunt dolor", "dolore fugiat non sint in" ], "methods": [ { "name": "non ad nisi cupidatat", "description": "Lorem", "summary": "amet", "deprecated": false, "roles": [ "et aute officia consectetur", "labore nulla occaecat nostrud", "nostrud voluptate tempor" ], "route": { "path": "consequat laboris", "verb": "incididunt aliqua commodo mollit" }, "input": [] } ], "views": [], "src": "culpa deserunt exercitation", "encrypted": true, "version": "nostrud non dolor in commodo" } ]
{ "title": "result", "type": "array", "items": { "type": "object", "properties": { "id": { "title": "id", "type": "string" }, "export": { "title": "export", "type": "string" }, "title": { "title": "title", "type": "string" }, "type": { "title": "type", "type": "string" }, "summary": { "title": "summary", "type": "string" }, "pdb": { "title": "pdb", "type": "boolean" }, "roles": { "title": "roles", "type": "array", "items": { "type": "string" } }, "methods": { "title": "methods", "type": "array", "items": { "type": "object", "properties": { "name": { "title": "name", "type": "string" }, "description": { "title": "description", "type": "string" }, "summary": { "title": "summary", "type": "string" }, "deprecated": { "title": "deprecated", "type": "boolean" }, "roles": { "title": "roles", "type": "array", "items": { "type": "string" } }, "route": { "title": "route", "type": "object", "properties": { "path": { "title": "path", "type": "string" }, "verb": { "title": "verb", "type": "string" } } }, "input": { "title": "input", "type": "array", "items": { "type": "object" } }, "output": { "title": "output", "type": "object" } } } }, "views": { "title": "views", "type": "array", "items": { "type": "object" } }, "src": { "title": "src", "type": "string" }, "encrypted": { "title": "encrypted", "type": "boolean" }, "version": { "title": "version", "type": "string" } } } }